Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235099 - alsa-lib version 1.0.14 release 0.1.rc1.fc6
Summary: alsa-lib version 1.0.14 release 0.1.rc1.fc6
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 19:17 UTC by Carlo Alberto Degli Atti
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:27:08 UTC


Attachments (Terms of Use)
scsconfig.log (deleted)
2007-04-04 16:36 UTC, Carlo Alberto Degli Atti
no flags Details
scsrun.log (deleted)
2007-04-04 16:36 UTC, Carlo Alberto Degli Atti
no flags Details

Description Carlo Alberto Degli Atti 2007-04-03 19:17:24 UTC
After upgrading to kernel 2.6.20-1.2933.fc6 and alsa-lib version 1.0.14 release
0.1.rc1.fc6 soundcard stopped to work ( before was ok!)

Soundcard is (lspci -v):

00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a1)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Unknown device 5530
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20
        Memory at fe02b000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at d400 [size=8]
        Capabilities: [44] Power Management version 2

If I type: 

[root@shadow /]# alsamixer

I get:

ALSA lib control.c:910:(snd_ctl_open_noupdate) Invalid CTL default

alsamixer: function snd_ctl_open failed for default: No such file or directory

Comment 1 Martin Stransky 2007-04-04 07:16:43 UTC
please attach /root/scsconfig.log (can be created by system-config-soundcard)

Comment 2 Carlo Alberto Degli Atti 2007-04-04 16:36:19 UTC
Created attachment 151674 [details]
scsconfig.log

Comment 3 Carlo Alberto Degli Atti 2007-04-04 16:36:54 UTC
Created attachment 151675 [details]
scsrun.log

Comment 4 Martin Stransky 2007-04-10 13:04:40 UTC
What card do you use? Conexant CX23880/1/2/3 PCI or nVidia Corporation MCP51
AC97 Audio Controller (this one may be integrated).

You can try to remove these lines from /etc/modprobe.conf:

alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
options snd-intel8x0 index=0

and reboot your box.

Comment 5 Carlo Alberto Degli Atti 2007-04-10 20:53:37 UTC
My card is an integrated one from nVidia Corp (MCP51).
I tried to remove the lines from /etc/modprob.conf, and not it looks like:
alias eth0 forcedeth
alias scsi_hostadapter sata_nv
alias dvb cx88-dvb

I also restarted my box, but it didn't work! :(


Comment 6 Carlo Alberto Degli Atti 2007-04-10 20:57:49 UTC
For your info, this is the description of my audio hardware (lspci -v)

00:10.2 Multimedia audio controller: nVidia Corporation MCP51 AC97 Audio
Controller (rev a2)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Unknown device c5d6
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23
        I/O ports at dc00 [size=256]
        I/O ports at d800 [size=256]
        Memory at fe02c000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2


Comment 7 Carlo Alberto Degli Atti 2007-04-17 15:17:18 UTC
Additional and hopefully info: last night I downgraded my system to alsa-lib
1.0.13 and it restarted to work... 

Actually it is the only package not up to date in my fedora system.. so I can
confirm the problem is strictly connected to alsa-lib 1.0.14 upgrading...  



Comment 8 Martin Stransky 2007-05-16 11:57:59 UTC
Aha. Please check if the update to 1.0.14 breaks your box. Please run
system-config-soundcard and generate the /root/scsconfig.log (in the "System"
tab) for 1.0.13 and 1.0.14 and attach it here. It could me help to find out
where the problem is.

Thanks!

Comment 9 Bug Zapper 2008-04-04 06:45:07 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 10 Bug Zapper 2008-05-06 19:27:06 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.